Subject: bug#13225: 24.3.50; Non-selected window has not mode-line-inactive face

From: martin rudalics <[email-masked]>
Date: Fri, 21 Dec 2012 10:15:54 +0100

> There's this note in the comments to
 > x_highlight_frame member:
 >
 >   /* The frame which currently has the visual highlight, and should get
 >      keyboard input (other sorts of input have the frame encoded in the
 >      event).  It points to the X focus frame's selected window's
 >      frame.  It differs from x_focus_frame when we're using a global
 >              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 >      minibuffer.  */
 >      ^^^^^^^^^^
 >
 > How is (or should be) the mode line displayed when input goes to a
 > "global minibuffer"?

My question was probably silly: We highlight the cursor as active when
the associated frame is currently visually highlighted by the window
manager.  And we highlight the mode line when the associated window is
the selected window, regardless of whether its frame is currently
visually highlighted by the window manager.  Is that interpretation
correct?  Then indeed we should not de-highlight a mode line when its
frame is not highlighted because we would lose some useful feedback.

martin